Bug 1123534

Summary: SELinux is preventing /usr/bin/reporter-ureport from 'write' accesses on the file /etc/pki/nssdb/cert9.db.
Product: [Fedora] Fedora Reporter: Adam Williamson <awilliam>
Component: selinux-policyAssignee: Miroslav Grepl <mgrepl>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: dominick.grift, dwalsh, lvrabec, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:874f396c758aeda753df6dc5f205e1e8f9d89dca1725162ed771f4062fc93556
Fixed In Version: selinux-policy-3.13.1-78.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-10 02:45:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Adam Williamson 2014-07-26 02:09:34 UTC
Description of problem:
Happened during login (current Fedora 21, Wayland session).
SELinux is preventing /usr/bin/reporter-ureport from 'write' accesses on the file /etc/pki/nssdb/cert9.db.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that reporter-ureport should be allowed write access on the cert9.db file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep reporter-urepor /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:abrt_t:s0-s0:c0.c1023
Target Context                system_u:object_r:cert_t:s0
Target Objects                /etc/pki/nssdb/cert9.db [ file ]
Source                        reporter-urepor
Source Path                   /usr/bin/reporter-ureport
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           libreport-plugin-ureport-2.2.3-1.fc21.x86_64
Target RPM Packages           nss-3.16.2-2.fc21.x86_64
Policy RPM                    selinux-policy-3.13.1-67.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.16.0-0.rc6.git2.2.fc22.x86_64 #1
                              SMP Fri Jul 25 17:56:42 UTC 2014 x86_64 x86_64
Alert Count                   28
First Seen                    2014-04-17 18:02:20 PDT
Last Seen                     2014-07-25 19:08:49 PDT
Local ID                      00046d3b-ecb9-43a2-86db-a267598666ad

Raw Audit Messages
type=AVC msg=audit(1406340529.986:605): avc:  denied  { write } for  pid=4918 comm="reporter-urepor" name="cert9.db" dev="dm-1" ino=3015959 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cert_t:s0 tclass=file permissive=1


type=SYSCALL msg=audit(1406340529.986:605): arch=x86_64 syscall=open success=yes exit=EIO a0=2328dc0 a1=80042 a2=1a4 a3=0 items=0 ppid=4917 pid=4918 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=reporter-urepor exe=/usr/bin/reporter-ureport subj=system_u:system_r:abrt_t:s0-s0:c0.c1023 key=(null)

Hash: reporter-urepor,abrt_t,cert_t,file,write

Version-Release number of selected component:
selinux-policy-3.13.1-67.fc21.noarch

Additional info:
reporter:       libreport-2.2.3
hashmarkername: setroubleshoot
kernel:         3.16.0-0.rc6.git2.2.fc22.x86_64
type:           libreport

Potential duplicate: bug 1069197

Comment 1 Miroslav Grepl 2014-07-31 19:40:54 UTC
commit d0bdcce93a050f49dd7a6993de3a46a3e45f6275
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Thu Jul 31 21:40:20 2014 +0200

    Dontaudit write access on generic cert files. We don't audit also access check.

Comment 2 Fedora Update System 2014-08-28 14:10:44 UTC
selinux-policy-3.13.1-77.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-77.fc21

Comment 3 Fedora Update System 2014-08-28 16:42:27 UTC
Package selinux-policy-3.13.1-77.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-77.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9873/selinux-policy-3.13.1-77.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-09-02 19:29:28 UTC
selinux-policy-3.13.1-78.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-78.fc21

Comment 5 Fedora Update System 2014-09-10 02:45:44 UTC
selinux-policy-3.13.1-78.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.